Bug 494826 - (CVE-2005-2974) CVE-2005-2974 giflib/libunfig: NULL pointer dereference crash
CVE-2005-2974 giflib/libunfig: NULL pointer dereference crash
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://web.nvd.nist.gov/view/vuln/det...
impact=low,source=vendorsec,public=20...
: Security
Depends On: 171413 491727 493567 493568
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-08 05:37 EDT by Tomas Hoger
Modified: 2016-03-04 06:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 10:07:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Chris Evans' PoC - bad1.gif (16.41 KB, image/gif)
2009-04-08 05:38 EDT, Tomas Hoger
no flags Details

  None (edit)
Description Tomas Hoger 2009-04-08 05:37:17 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2005-2974 to the following vulnerability:

libungif library before 4.1.0 allows attackers to cause a denial of service via
a crafted GIF file that triggers a null dereference.

References:
http://scary.beasts.org/security/CESA-2005-007.txt
http://sourceforge.net/project/shownotes.php?release_id=364493
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=171413
Comment 1 Tomas Hoger 2009-04-08 05:38:26 EDT
Created attachment 338678 [details]
Chris Evans' PoC - bad1.gif

Source: http://scary.beasts.org/security/CESA-2005-007.txt
Comment 2 errata-xmlrpc 2009-04-22 13:37:37 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0444 https://rhn.redhat.com/errata/RHSA-2009-0444.html
Comment 3 Fedora Update System 2009-05-15 21:53:33 EDT
giflib-4.1.3-10.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/giflib-4.1.3-10.fc9
Comment 4 Fedora Update System 2009-05-18 22:09:08 EDT
giflib-4.1.3-10.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-06-18 07:39:20 EDT
giflib-4.1.6-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.